Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.Tests.Build.GradleBuildTest Class Referencesealed
Inheritance diagram for Zwipe.Test.Tools.Tests.Build.GradleBuildTest:
[legend]
Collaboration diagram for Zwipe.Test.Tools.Tests.Build.GradleBuildTest:
[legend]

## Public Member Functions
| GradleBuildTest ()
Public Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
TestSuite | Perform (TestContext context)

## Protected Member Functions
override bool | BuildJob (Job job)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.Build.BaseBuildTest
| BaseBuildTest (string testName, string buildFileExtension, bool preserveWarnings, bool buildInMultiThread)
virtual string | ParseLog (string fileName, IEnumerable< string > lines, out string warnings)
virtual bool | CheckSkipWarning (string fileName, string line)
virtual JobQueue | GetJobs ()
bool | BuildJob (Job job)
override void | Execute ()
void | AddWarning (string name, string message)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
| BaseTest (string name)
void | AddSuccess (string name, string format, params object[] args)
void | AddSuccess (string name, string message)
void | AddError (string name, string format, params object[] args)
void | AddError (string name, string message)
void | Log (string format, params object[] args)
void | Log (string message)
virtual bool | Prepare ()
virtual void | Clean ()
void | Execute ()

## Properties
string | GradlePath`[get]`
Properties inherited from Zwipe.Test.Tools.Tests.Build.BaseBuildTest
string | BuildFileExtension`[get]`
bool | PreserveWarnings`[get]`
bool | MultiThreadBuild`[get]`
Properties inherited from Zwipe.Test.Tools.Tests.BaseTest
string | Name`[get]`
TestContext | Context`[get, private set]`
TestSuite | Suite`[get, private set]`

## Private Member Functions
string | BuildGradle (string fileName, string additionalParameters="")
bool | BuildGradle (Job job, string additionalParameters="")

## Static Private Member Functions
static string | ParseGradleLog (string[] lines, out string warnings)

## Constructor & Destructor Documentation

## ◆ GradleBuildTest()

Zwipe.Test.Tools.Tests.Build.GradleBuildTest.GradleBuildTest | ( |  | ) |

## Member Function Documentation

## ◆ BuildGradle() [1/2]

bool Zwipe.Test.Tools.Tests.Build.GradleBuildTest.BuildGradle | ( | Job | job,
|  | string | additionalParameters = "" )
| private

Here is the call graph for this function:

## ◆ BuildGradle() [2/2]

string Zwipe.Test.Tools.Tests.Build.GradleBuildTest.BuildGradle | ( | string | fileName,
|  | string | additionalParameters = "" )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ BuildJob()

override bool Zwipe.Test.Tools.Tests.Build.GradleBuildTest.BuildJob | ( | Job | job | ) |
| protected

Here is the call graph for this function:

## ◆ ParseGradleLog()

string Zwipe.Test.Tools.Tests.Build.GradleBuildTest.ParseGradleLog | ( | string[] | lines,
|  | out string | warnings )
| static private

Here is the caller graph for this function:

## Property Documentation

## ◆ GradlePath

string Zwipe.Test.Tools.Tests.Build.GradleBuildTest.GradlePath
| get private

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/Tests/Build/GradleBuildTest.cs